Page MenuHomePhabricator

Fatal exception for diff link in Flow Special:contributions
Closed, ResolvedPublic

Description

The link to this diff https://www.mediawiki.org/w/index.php?title=Topic:Sdjk2ce202ud1fl0&action=compare-post-revisions&topic_newRevision=se88c0gq7ldv2u0y
at (23:30, 25 March 2015) https://www.mediawiki.org/wiki/Special:Contributions/BanjoDog

Without ?debug=true i get just this line:

Exception encountered, of type "BadMethodCallException"

With ?debug=true I get:

Invalid value was provided for loading Flow content.
Return to MediaWiki.
[f56a7d94] 2015-03-25 23:42:12: Fatal exception of type "Flow\Exception\InvalidInputException"

Event Timeline

Quiddity raised the priority of this task from to Needs Triage.
Quiddity updated the task description. (Show Details)
Quiddity added a subscriber: Quiddity.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 25 2015, 11:44 PM

Change 199790 had a related patch set uploaded (by Mattflaschen):
Fix typo in RevisionViewQuery

https://gerrit.wikimedia.org/r/199790

With ?debug=true I get:
...

This just means you gave it invalid input since you used ? twice in the URL. After the initial question mark it has to be &.

Also, I don't think debug=true affects exception output.

Mattflaschen-WMF triaged this task as Unbreak Now! priority.Mar 26 2015, 12:01 AM

Change 199790 merged by jenkins-bot:
Fix typo in RevisionViewQuery

https://gerrit.wikimedia.org/r/199790

Change 200001 had a related patch set uploaded (by EBernhardson):
Fix typo in RevisionViewQuery

https://gerrit.wikimedia.org/r/200001

Change 200001 merged by jenkins-bot:
Fix typo in RevisionViewQuery

https://gerrit.wikimedia.org/r/200001

EBernhardson closed this task as Resolved.Mar 27 2015, 12:12 AM